#!/bin/sh

# PROVIDE: osirisd
# REQUIRE: DAEMON
# BEFORE: securelevel
# KEYWORD: FreeBSD

#
# To enable osirisd, add:
#
#osirisd_enable=YES 
#
# to one of these files:
#       /etc/rc.conf
#       /etc/rc.conf.local
#       /etc/rc.conf.d/osirisd
#

osirisd_enable=${osirisd_enable:-"NO"}
osirisd_flags=${osirisd_flags:-"-r /usr/local/osiris"}

. "/etc/rc.subr"

name="osirisd"
rcvar=`set_rcvar`
command=/usr/local/sbin/osirisd
stop_cmd="osirisd_stop"

osirisd_stop() {
	/usr/bin/killall ${name} > /dev/null 2>&1 && echo "Stopping ${name}."
}

load_rc_config $name
run_rc_command "$1"
